#!/usr/local/bin/python

from federation import fedid
from optparse import OptionParser


class fedid_opts(OptionParser):
    """Encapsulate option processing in this class, rather than in main"""
    def __init__(self):
	OptionParser.__init__(self, usage="%prog [opts] (--help for details)",
		version="1.0")

	self.add_option("-a", "--attribute", action="append", dest="attrs", 
		help="Append attribute to each fedid")

parser = fedid_opts()
opts, args = parser.parse_args()

for arg in args:
    fid = fedid(file=arg)
    if opts.attrs: print "fedid:%s %s" % (fid, ','.join(opts.attrs))
    else: print "fedid:%s" % fid

